<?php

namespace UtilityModule\Command;

use Psr\Container\ContainerInterface;
use UtilityModule\Service\AuthService;

class GeneratePasswordHashFactory
{
    /**
     * @param ContainerInterface $container
     * @return GeneratePasswordHash
     */
    public function __invoke(ContainerInterface $container)
    {
        $authService = $container->get(AuthService::class);
        return new GeneratePasswordHash($authService);
    }
}
